---
title: List all the RUM applications
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > RUM
---

# List all the RUM applications{% #list-all-the-rum-applications %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                              |
| ----------------- | --------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/rum/applications |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/rum/applications |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/rum/applications      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/rum/applications      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/rum/applications  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/rum/applications     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/rum/applications |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/rum/applications |

### Overview

List all the RUM applications in your organization. This endpoint requires the `rum_apps_read` permission.

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
RUM applications response.

| Parent field                      | Field                               | Type     | Description                                                                                                                                                    |
| --------------------------------- | ----------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                                   | data                                | [object] | RUM applications array response.                                                                                                                               |
| data                              | attributes [*required*]        | object   | RUM application list attributes.                                                                                                                               |
| attributes                        | application_id [*required*]    | string   | ID of the RUM application.                                                                                                                                     |
| attributes                        | created_at [*required*]        | int64    | Timestamp in ms of the creation date.                                                                                                                          |
| attributes                        | created_by_handle [*required*] | string   | Handle of the creator user.                                                                                                                                    |
| attributes                        | hash                                | string   | Hash of the RUM application. Optional.                                                                                                                         |
| attributes                        | is_active                           | boolean  | Indicates if the RUM application is active.                                                                                                                    |
| attributes                        | name [*required*]              | string   | Name of the RUM application.                                                                                                                                   |
| attributes                        | org_id [*required*]            | int32    | Org ID of the RUM application.                                                                                                                                 |
| attributes                        | product_scales                      | object   | Product Scales configuration for the RUM application.                                                                                                          |
| product_scales                    | product_analytics_retention_scale   | object   | Product Analytics retention scale configuration.                                                                                                               |
| product_analytics_retention_scale | last_modified_at                    | int64    | Timestamp in milliseconds when this scale was last modified.                                                                                                   |
| product_analytics_retention_scale | state                               | enum     | Controls the retention policy for Product Analytics data derived from RUM events. Allowed enum values: `MAX,NONE`                                              |
| product_scales                    | rum_event_processing_scale          | object   | RUM event processing scale configuration.                                                                                                                      |
| rum_event_processing_scale        | last_modified_at                    | int64    | Timestamp in milliseconds when this scale was last modified.                                                                                                   |
| rum_event_processing_scale        | state                               | enum     | Configures which RUM events are processed and stored for the application. Allowed enum values: `ALL,ERROR_FOCUSED_MODE,NONE`                                   |
| attributes                        | type [*required*]              | string   | Type of the RUM application. Supported values are `browser`, `ios`, `android`, `react-native`, `flutter`, `roku`, `electron`, `unity`, `kotlin-multiplatform`. |
| attributes                        | updated_at [*required*]        | int64    | Timestamp in ms of the last update date.                                                                                                                       |
| attributes                        | updated_by_handle [*required*] | string   | Handle of the updater user.                                                                                                                                    |
| data                              | id                                  | string   | RUM application ID.                                                                                                                                            |
| data                              | type [*required*]              | enum     | RUM application list type. Allowed enum values: `rum_application`                                                                                              |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "application_id": "abcd1234-0000-0000-abcd-1234abcd5678",
        "created_at": 1659479836169,
        "created_by_handle": "john.doe",
        "hash": "string",
        "is_active": true,
        "name": "my_rum_application",
        "org_id": 999,
        "product_scales": {
          "product_analytics_retention_scale": {
            "last_modified_at": 1747922145974,
            "state": "MAX"
          },
          "rum_event_processing_scale": {
            "last_modified_at": 1721897494108,
            "state": "ALL"
          }
        },
        "type": "browser",
        "updated_at": 1659479836169,
        "updated_by_handle": "jane.doe"
      },
      "id": "abcd1234-0000-0000-abcd-1234abcd5678",
      "type": "rum_application"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/rum/applications" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
List all the RUM applications returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.rum_api import RUMApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = RUMApi(api_client)
    response = api_instance.get_rum_applications()

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# List all the RUM applications returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::RUMAPI.new
p api_instance.get_rum_applications()
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// List all the RUM applications returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewRUMApi(apiClient)
	resp, r, err := api.GetRUMApplications(ctx)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `RUMApi.GetRUMApplications`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `RUMApi.GetRUMApplications`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// List all the RUM applications returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.RumApi;
import com.datadog.api.client.v2.model.RUMApplicationsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    RumApi apiInstance = new RumApi(defaultClient);

    try {
      RUMApplicationsResponse result = apiInstance.getRUMApplications();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling RumApi#getRUMApplications");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// List all the RUM applications returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_rum::RUMAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = RUMAPI::with_config(configuration);
    let resp = api.get_rum_applications().await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * List all the RUM applications returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.RUMApi(configuration);

apiInstance
  .getRUMApplications()
  .then((data: v2.RUMApplicationsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
